# Ogre::RenderPriorityGroup::TransparentQueueItemLess Struct Reference

Comparator to order transparent object passes. More...

List of all members.

## Public Member Functions

bool _OgreExport | operator() (const RenderablePass &a, const RenderablePass &b) const

## Public Attributes

const Camera * | camera

## Detailed Description

Comparator to order transparent object passes.

Definition at line 85 of file OgreRenderQueueSortingGrouping.h.

## Member Function Documentation

bool _OgreExport Ogre::RenderPriorityGroup::TransparentQueueItemLess::operator() | ( | const RenderablePass & | a,
|  | const RenderablePass & | b
| ) | const

| Definition at line 88 of file OgreRenderQueueSortingGrouping.h. References _OgreExport, Ogre::Pass::getHash(), Ogre::Renderable::getSquaredViewDepth(), Ogre::RenderPriorityGroup::RenderablePass::pass, Ogre::Real, and Ogre::RenderPriorityGroup::RenderablePass::renderable.

## Member Data Documentation

const Camera* Ogre::RenderPriorityGroup::TransparentQueueItemLess::camera

| Definition at line 87 of file OgreRenderQueueSortingGrouping.h.

The documentation for this struct was generated from the following file:

- OgreRenderQueueSortingGrouping.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:02:25 2006